Skip to main content
GET
List purchase agreements

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Query Parameters

include
string

Comma-separated list of relationships to include.

Available options: currency, partner, user, company, creator, lines, lines.requisition, lines.product, lines.uom, lines.company, lines.creator

Example:

"partner,lines"

filter[id]
string

Comma-separated list of IDs to filter by

filter[state]
string

Filter by agreement state

Example:

"draft"

filter[type]
string

Filter by agreement type

Example:

"blanket_order"

filter[partner_id]
string

Filter by vendor IDs

filter[trashed]
string

Filter by trashed status.

Available options: with, only

Example:

"with"

sort
string
required

Sort field

Example:

"-created_at"

page
integer
required

Page number

Example:

1

Response

Success